import { Base, Type } from "./type";
/**
 * @hidden
 */
export declare class MathUtil extends Base {
    static $t: Type;
    static readonly l: number;
    static readonly o: number;
    static a(a: number): number;
    static p(number_: number): string;
    static e(a: number, b: number): number;
    static n(a: number): number;
    static b(a: number, b: number, c: number): number;
    static m(a: number): number;
    static d(a: number): number;
    static j(a: number, b: number, c: number): number;
    static g(a: number, b: number, c: number): number;
    static i(...a: number[]): number;
    static k(a: number[]): number;
    static f(...a: number[]): number;
    static h(a: number[]): number;
}
